astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- MAGPIS Queries (`astroquery.magpis`) »
- MagpisClass

# MagpisClass

class astroquery.magpis.MagpisClass

  Bases: `BaseQuery`

  Attributes Summary

  `TIMEOUT` |
  `URL` |
  `maximsize` |
  `surveys` |

  Methods Summary

  `get_images`(coordinates, *[, image_size, ...]) | Fetches image cutouts from MAGPIS surveys.
  `get_images_async`(coordinates, *[, ...]) | Fetches image cutouts from MAGPIS surveys.
  `list_surveys`() | Return a list of surveys for MAGPIS

  Attributes Documentation

  TIMEOUT = 60
  URL = 'https://third.ucllnl.org/cgi-bin/gpscutout'
  maximsize = 1024
  surveys = ['gps6', 'gps6epoch2', 'gps6epoch3', 'gps6epoch4', 'gps20', 'gps20new', 'gps90', 'gpsmsx', 'gpsmsx2', 'gpsglimpse36', 'gpsglimpse45', 'gpsglimpse58', 'gpsglimpse80', 'mipsgal', 'atlasgal', 'bolocam']

  Methods Documentation

  get_images(coordinates, *, image_size=<Quantity 1. arcmin>, survey='bolocam', get_query_payload=False)

    Fetches image cutouts from MAGPIS surveys.

    Parameters:
      coordinates str or `astropy.coordinates` object

        The target around which to search. It may be specified as a string in which case it is resolved using online services or as the appropriate `astropy.coordinates` object. ICRS coordinates may also be entered as strings as specified in the `astropy.coordinates` module.

      image_size str or `Quantity` object, optional

        The string must be parsable by `astropy.coordinates.Angle`. The appropriate `Quantity` object from `astropy.units` may also be used. Specifies the symmetric size of the image. Defaults to 1 arcmin.

      survey str, optional

        The MAGPIS survey you want to cut out. Defaults to ‘bolocam’. The other surveys that can be used can be listed via `list_surveys()`.

      maximsize int, optional

        Specify the maximum image size (in pixels on each dimension) that will be returned. Max is 2048.

      get_query_payload bool, optional

        if set to `True` then returns the dictionary sent as the HTTP request. Defaults to `False`

    Returns:
      A list of `HDUList` objects
  get_images_async(coordinates, *, image_size=<Quantity 1. arcmin>, survey='bolocam', get_query_payload=False)

    Fetches image cutouts from MAGPIS surveys.

    Parameters:
      coordinates str or `astropy.coordinates` object

        The target around which to search. It may be specified as a string in which case it is resolved using online services or as the appropriate `astropy.coordinates` object. ICRS coordinates may also be entered as strings as specified in the `astropy.coordinates` module.

      image_size str or `Quantity` object, optional

        The string must be parsable by `astropy.coordinates.Angle`. The appropriate `Quantity` object from `astropy.units` may also be used. Specifies the symmetric size of the image. Defaults to 1 arcmin.

      survey str, optional

        The MAGPIS survey you want to cut out. Defaults to ‘bolocam’. The other surveys that can be used can be listed via `list_surveys()`.

      maximsize int, optional

        Specify the maximum image size (in pixels on each dimension) that will be returned. Max is 2048.

      get_query_payload bool, optional

        if set to `True` then returns the dictionary sent as the HTTP request. Defaults to `False`

    Returns:
      response `requests.Response`

        The HTTP response returned from the service

  list_surveys()

    Return a list of surveys for MAGPIS